framework

Всё что касается построения API
Ответить
Антон
Сообщения: 199
Зарегистрирован: 2013.08.29, 05:27
Откуда: Харьков

framework

Сообщение Антон »

А как установить фрейморк без ненужного для апи fxp/composer-asset-plugin, jquery, view и т.д?


Антон
Сообщения: 199
Зарегистрирован: 2013.08.29, 05:27
Откуда: Харьков

Re: framework

Сообщение Антон »

Добавил
"provide": {
"bower-asset/jquery": "*",
"bower-asset/jquery.inputmask": "*",
"bower-asset/punycode": "*",
"bower-asset/yii2-pjax": "*"
},
А дальше что?

Аватара пользователя
samdark
Администратор
Сообщения: 9353
Зарегистрирован: 2009.04.02, 13:46
Откуда: Воронеж
Контактная информация:

Re: framework

Сообщение samdark »

composer update?

Антон
Сообщения: 199
Зарегистрирован: 2013.08.29, 05:27
Откуда: Харьков

Re: framework

Сообщение Антон »

Sam Dark писал(а):composer update?

Код: Выделить всё

php composer.phar update
Loading composer repositories with package information
Updating dependencies (including require-dev)
Nothing to install or update                              
Generating autoload files
Ничего не выполнилось

zelenin
Сообщения: 10596
Зарегистрирован: 2013.04.20, 11:30

Re: framework

Сообщение zelenin »

значит уже все установлено, что должно установиться, согласно composer.json.

Антон
Сообщения: 199
Зарегистрирован: 2013.08.29, 05:27
Откуда: Харьков

Re: framework

Сообщение Антон »

zelenin писал(а):значит уже все установлено, что должно установиться, согласно composer.json.
Так как удалить ненужные библиотеки?

Onotole
Сообщения: 1808
Зарегистрирован: 2012.12.24, 12:49

Re: framework

Сообщение Onotole »

удалить vendor и обновить композер

Антон
Сообщения: 199
Зарегистрирован: 2013.08.29, 05:27
Откуда: Харьков

Re: framework

Сообщение Антон »

Onotole писал(а):удалить vendor и обновить композер

Код: Выделить всё

Loading composer repositories with package information
Updating dependencies (including require-dev)
  - Installing yiisoft/yii2-composer (2.0.4)               
    Loading from cache

  - Installing swiftmailer/swiftmailer (v5.4.3)
    Loading from cache

  - Installing bower-asset/jquery (2.2.4)
    Loading from cache

  - Installing bower-asset/yii2-pjax (v2.0.6)
    Loading from cache

  - Installing bower-asset/punycode (v1.3.2)
    Loading from cache

  - Installing bower-asset/jquery.inputmask (3.2.7)
    Loading from cache

  - Installing cebe/markdown (1.1.0)
    Loading from cache

  - Installing ezyang/htmlpurifier (v4.8.0)
    Loading from cache

  - Installing yiisoft/yii2 (2.0.9)
    Loading from cache

  - Installing yiisoft/yii2-swiftmailer (2.0.5)
    Loading from cache

  - Installing yiisoft/yii2-codeception (2.0.5)
    Loading from cache

  - Installing bower-asset/bootstrap (v3.3.7)
    Loading from cache

  - Installing yiisoft/yii2-bootstrap (2.0.6)
    Loading from cache

  - Installing yiisoft/yii2-debug (2.0.6)
    Loading from cache

  - Installing bower-asset/typeahead.js (v0.11.1)
    Loading from cache

  - Installing phpspec/php-diff (v1.1.0)
    Loading from cache

  - Installing yiisoft/yii2-gii (2.0.5)
    Loading from cache

  - Installing fzaninotto/faker (v1.6.0)
    Loading from cache

  - Installing yiisoft/yii2-faker (2.0.3)
    Loading from cache

Generating autoload files
Все равно загрузились!

Loveorigami
Сообщения: 977
Зарегистрирован: 2014.08.27, 21:54

Re: framework

Сообщение Loveorigami »

попробуйте и кеш этих пакетов удалить, раз оттуда грузится...

Ответить